%define anolis_release 2

%global base_version 3.25
%global perl_name Storable

Name:           perl-Storable
Epoch:          1
Version:        3.26
Release:        %{anolis_release}%{?dist}
Summary:        Persistence for Perl data structures
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/release/Storable
Source0:        https://cpan.metacpan.org/authors/id/N/NW/NWCLARK/Storable-%{base_version}.tar.gz

Patch0:         Storable-3.25-Upgrade-to-3.26.patch

BuildRequires:  coreutils gcc gcc-c++ make autoconf 
BuildRequires:  perl-devel perl-generators perl-interpreter
BuildRequires:  perl(Config) perl(Cwd)  perl(strict) perl(warnings) perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(File::Copy) perl(File::Spec) >= 0.8 
# Run-time
BuildRequires:  perl(Carp) perl(Exporter)
# Fcntl is optional, but locking is good
BuildRequires:  perl(Fcntl) perl(IO::File)
# Log::Agent is optional
BuildRequires:  perl(XSLoader)
# Tests
BuildRequires:  perl(base) perl(bytes) perl(File::Temp)
BuildRequires:  perl(integer) perl(overload) perl(utf8) perl(Test::More) 
BuildRequires:  perl(threads) perl(Safe) perl(Scalar::Util)  perl(Tie::Array)
# Optional tests:
# gzip not used
# Data::Dump not used Data::Dumper not used
BuildRequires:  perl(B::Deparse) >= 0.61 perl(Digest::MD5) perl(Hash::Util)
BuildRequires:  perl(Tie::Hash)
Requires:       perl(Config)  perl(Fcntl) perl(IO::File)
%{?perl_default_filter}

%description
The Storable package brings persistence to your Perl data structures containing scalar, 
array, hash or reference objects, i.e. anything that can be conveniently stored to disk 
and retrieved at a later time. It can be used in the regular procedural way by calling 
store with a reference to the object to store, and providing a file name. The routine 
returns undef for I/O problems or other internal error, a true value otherwise. Serious 
errors are propagated as a die exception.

%package doc
Summary:        Documentation files for perl-Storable
Requires:       %{name} = %{epoch}:%{version}-%{release}
BuildArch:      noarch

%description    doc
The perl-Storable-doc package contains documentation files for perl-Storable.


%prep
%autosetup -n %{perl_name}-%{base_version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PERLLOCAL=1 NO_PACKLIST=1 OPTIMIZE="$RPM_OPT_FLAGS"
%make_build

%install
%make_install
for file in "*.1pm" "*.bs"
do 
    find $RPM_BUILD_ROOT -type f -name $file -size 0 -delete
done
%{_fixperms} $RPM_BUILD_ROOT/*

%check
unset PERL_CORE PERL_TEST_MEMORY PERL_RUN_SLOW_TESTS
make test

%files
%{perl_vendorarch}/auto/%{perl_name}/%{perl_name}.so
%{perl_vendorarch}/%{perl_name}.pm
%{_mandir}/man3/*.zst

%files doc
%doc README ChangeLog

%changelog
* Tue Apr 11 2023 chen_yu_ao <m15927509890@163.com> - 1:3.26-2
- change spec file format

* Wed Feb 08 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1:3.26-1
- remove versioned MODULE_COMPAT_ requires
- update to version 3.26

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1:3.25-3
- rebuild with perl 5.36.0

* Sun Oct 09 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1:3.25-2
- add doc package

* Wed Mar  9 2022 Liwei Ge <liwei.glw@linux.alibaba.com> - 1:3.25-1
- Init version from upstream v3.25
